package com.joyful.euphoria.board.utils

import android.content.Context
import com.joyful.euphoria.board.EuphoriaBoard

object SaveCurrentThemeUtils {

    val SP_NAME = "keyboard_skin"
    val SKIN_PATH = "skin_path"
    val spSkin = EuphoriaBoard.Companion.euphoriaBoardInstance.getSharedPreferences(SP_NAME,Context.MODE_PRIVATE)

    fun  updateSkinPath(skinPath:String){
        spSkin.edit().putString(SKIN_PATH,skinPath).apply()
    }

    fun  getSkinPath( ):String?{
       return spSkin.getString(SKIN_PATH,null)
    }
}